<ion-header no-padding *ngIf="post$ | async as post">
  <ion-toolbar>
    <ion-buttons size="small" slot="end">
      <ion-back-button color="primary"></ion-back-button>
    </ion-buttons>
    <ion-avatar padding (click)="viewProfile(post.post_by.id)">
        <!-- <ion-img [src]="decode(post.post_by.image)" class="thumbnail" alt="" ></ion-img> -->
        <ion-img [src]="post.post_by.image != null ? decode(post.post_by.image) : '../../../../assets/images/default.png'"></ion-img>
    </ion-avatar>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen [scrollEvents]="true" slot="fixed">
    <div *ngIf="post$ | async as post">
      <div *ngIf="contentLoaded" class="avatar" (click)="viewImage(post.image)">
        <ion-img
         
          *ngIf="post.type == 'image'"
          [src]="decode(post.image)"
        ></ion-img>
        <video
          *ngIf="post.type == 'video'"
          preload="metadata"
          controls="controls"
          autoplay="autoplay"
          webkit-playsinline="webkit-playsinline"
          class="videoPlayer"
        >
          <source [src]="decode(post.image)" type="video/mp4" />
        </video>
      </div>
      <div *ngIf="!contentLoaded" class="avatar" (click)="viewImage(post.image)">
        <ion-img
         
          *ngIf="post.type == 'image'"
          src="../../../../assets/images/cheat.gif"
        ></ion-img>
        <video
          *ngIf="post.type == 'video'"
          preload="metadata"
          controls="controls"
          autoplay="autoplay"
          webkit-playsinline="webkit-playsinline"
          class="videoPlayer"
        >
          <source [src]="decode(post.image)" type="video/mp4" />
        </video>
      </div>
      <ion-grid>
        <ion-row>
            <ion-col>
                <ion-button class="option" fill="clear" value="" (click)="onLikePost(post.id)">
                    <fa-icon [icon]="star" [ngStyle]="{
                      color: findEqual(post.likes) ? '#f16623' : null
                    }"></fa-icon>&nbsp;&nbsp;
                      <ion-label>{{ post.likes.length}}</ion-label>
                </ion-button>
            </ion-col>
              <ion-col>
                  <ion-button fill="clear" class="option" (click)="socialShare(post.image)">
                      <fa-icon  [icon]="share"></fa-icon>
                  </ion-button>
            </ion-col>
            <ion-col>
                <ion-button fill="clear" class="option" padding-horizontal  *ngIf="post.user_id == authService.userId()" (click)="deletConfirmation(post.id)">
                  <fa-icon [icon]="more"></fa-icon>
              </ion-button>
            </ion-col>
            <ion-col>
              <ion-button color="danger" shape="round" expand="block" (click)="pinModal(post.id)">Save</ion-button>
          </ion-col>
          </ion-row>
    </ion-grid>
      <div class="description" padding>
        <ion-title>{{ post.caption }}</ion-title>
      </div>
    </div>
    <div *ngIf="contentLoaded">
      <div *ngIf="post$ | async as post">
        <ion-list *ngFor="let comm of post.comments" padding>
          <ion-item-sliding >
              <ion-item-options side="end">
                <ion-item-option (click)="likeComment()">
                  <fa-icon [icon]="star" style="color:#ffff">

                  </fa-icon>
                </ion-item-option>
                <ion-item-option color="danger">
                      <fa-icon [icon]="eye" style="color:#ffff"></fa-icon>
                </ion-item-option>
              </ion-item-options>
              <ion-item lines="none">
                  <ion-avatar slot="start" *ngIf="comm.user.image !== null" (click)="viewProfile(comm.user.id)" >
                      <ion-img [src]="decode(comm.user.image)" ></ion-img>
                    </ion-avatar>
                    <ion-avatar slot="start" *ngIf="comm.user.image === null" (click)="viewProfile(comm.user.id)">
                      <ion-img
                        src="../../../assets/images/default.png"
                        alt=""
                      ></ion-img>
                  </ion-avatar>
                  <ion-label>
                      <h2 style="color:#f4a91c"><b>{{ comm.user.fname }}</b></h2>
                      <!-- <h3>{{ comm.comment | truncate:[30, '...']  }}</h3> -->
                      <h3>{{ comm.comment }}</h3>
                      <p padding-none>
                          <fa-icon [icon]="heart" style="font-size:15px;"></fa-icon>&nbsp;
                        {{ comm.likes_count }}
                      </p>
                      <ion-note>{{ comm.updated_at | dateAgo }}</ion-note>
                    </ion-label>
              </ion-item>
           </ion-item-sliding> 
      </ion-list>
      </div>
    </div>
    <div *ngIf="!contentLoaded">
        <div *ngIf="post$  | async as post">
          <ion-list *ngFor="let comm of post.comments" padding>
            <ion-item-sliding lines="none">
                <ion-item-options side="end">
                  <ion-item-option>
                    <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
                  </ion-item-option>
                  <ion-item-option color="danger">
                      <ion-skeleton-text></ion-skeleton-text>
                  </ion-item-option>
                </ion-item-options>
                <ion-item lines="none">
                    <ion-avatar slot="start">
                        <ion-skeleton-text animated></ion-skeleton-text>
                    </ion-avatar>
                    <ion-label>
                        <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
                        <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
                        <p padding-none>
                            <fa-icon [icon]="heart" style="font-size:15px;"></fa-icon>&nbsp;
                            <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text></p>
                        <ion-note><ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
                        </ion-note>
                      </ion-label>
                </ion-item>
             </ion-item-sliding> 
        </ion-list>
      </div>
  </div>
   
</ion-content>
<ion-footer>
  <ion-toolbar>
    <div *ngIf="post$  | async as post" style="padding-top:5px;">
      <form   padding-horizontal [formGroup]="comment_form" (ngSubmit)="onCommentPost(comment_form)">
        <ion-item lines="none">
            <ion-avatar slot="start">
                <ion-img  style= "width:80%;height:80%;" [src]="image !== null ? decode(image) : '../../../../assets/images/avatar.jpg'" class="thumbnail" alt="" ></ion-img>
            </ion-avatar>
            <ion-textarea placeholder="Add a Comment" formControlName="comment"></ion-textarea>
            <ion-button
              type="submit"
              fill="clear"
              class="option"
              >
              <fa-icon [icon]="send" style="color:#f4a91c;font-size:25px;"></fa-icon>
            </ion-button>
          </ion-item>
      </form>
    </div>
  </ion-toolbar>
</ion-footer>
